CVE-2018-16855

Priority
Description
An issue has been found in PowerDNS Recursor before version 4.1.8 where a
remote attacker sending a DNS query can trigger an out-of-bounds memory
read while computing the hash of the query for a packet cache lookup,
possibly leading to a crash.
Package
Upstream:released (4.1.8-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 LTS (Trusty Tahr):not-affected (code not present)
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):needed
Ubuntu 18.10 (Cosmic Cuttlefish):needed
Ubuntu 19.04 (Disco Dingo):released (4.1.8-1)
More Information

Updated: 2018-12-05 14:14:23 UTC (commit 9d35beeb9d40ed879dc7e2ee59c995c1872a11d6)